%global dlrn_nvr ansible-role-container-registry-1.0.1.dev22-0.20190424001444.b54b8ac
%global dlrn 1
%define upstream_version 1.0.1.dev22
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.0.1
Release: 0.20190424001446.b54b8ac%{?dist}
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.0.1.dev22-0.20190424001444.b54b8ac-b54b8acf4d4142717243dda985a161cc8ec92a03.tar.gz
#patches_ignore=DROP-IN-RPM
#patches_base=b54b8acf4d4142717243dda985a161cc8ec92a03
Patch0001: 0001-Add-docker-login-support.patch
Patch0002: 0002-Don-t-stop-containers-before-docker-package-update.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible

%description

Ansible role to deploy a container registry

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Nov 21 2019 Lukas Bezdicka <lbezdick@redhat.com> 1.0.1-0.20190424001446.b54b8ac
- Don't stop containers before docker package update (rhbz#1770345)

* Mon Sep 09 2019 Emilien Macchi <emilien@redhat.com> 1.0.1-0.20190424001445.b54b8ac
- Add docker login support (rhbz#1750446)

* Mon May 20 2019 Thierry Vignaud <tvignaud@redhat.com> 1.0.1-0.20190424001444.b54b8ac
- rebase over RDO

* Fri Feb 08 2019 Thierry Vignaud <tvignaud@redhat.com> 1.0.1-0.20190115200251.2cba7e3
- rebase over RDO

* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162447.ddf8d09
- Update patches

* Tue Dec 11 2018 Martin André <m.andre@redhat.com> 1.0.1-0.20181003162446.ddf8d09
- Allow to skip docker reconfiguration (rhbz#1652406)
- Add xfs ftype check during install (rhbz#1652406)
- Update gitreview for code.engineering.redhat.com

